TAAS - Feature #26

Financial Year
08/23/2022 10:51 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 08/23/2022
Priority: Normal Due date: 08/25/2022
Assignee: Aparna Mathew % Done: 90%
Category: Estimated time: 20:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 32.00 Code Reviewed By:

Module: Financial Year

Description

Coding Financial Year

Cases

1) All Financial Year are same format(Only change Year)

2) Status Current Year allowed one in grid

3) From date lost focus check Current date included Financial Year then Set status = Current Year

History

#1 - 08/23/2022 10:52 AM - Anil KV

- Module changed from Currency to Financial Year

#2 - 08/23/2022 11:14 AM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmlFile.html added

- File sql.sql added

#3 - 08/23/2022 06:16 PM - Anil KV

// save / Update Checking
if (datFyStartDate.getMonth() != 1 && datFyStartDate.getDate() != 1) || (datFyStartDate.getMonth() != 4 &&
datFyStartDate.getDate() != 1;
{
Confirmation message
"The Financial Year does not start with 01/01/yyyy or 01/04/yyyy. Do you want to continue 2"
}

#4 - 08/23/2022 06:16 PM - Anil KV

let datCurrent: Date = new Date();
let datFyStartDate: Date = new Date(datCurrent.getFullYear(), 0, 1);

let datFyEndDate: Date = new Date(datFyStartDate.getFullYear() + 1, datFyStartDate.getMonth(), datFyStartD

ate.getDate());
datFyEndDate = new Date (datFyEndDate.getFullYear (), datFyEndDate.getMonth (), datFyEndDate.getDate() - 1);

#5 - 08/24/2022 11:21 AM - Aparna Mathew
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#6 - 08/24/2022 03:19 PM - Anil KV

05/04/2025 1/5




[disabled] = true

public lstFinancialYearStatus: any[] = [

{ "intId": 1, "strLabel": "Current Year", "blnDisable": false, "blnActive": true, "strRemarks": "" },
{ "intId": 2, "strLabel": "Normal", "blnDisable": true, "blnActive": false, "strRemarks": "" },
{ "intId": 3, "strLabel": "Normal (After Year End)", "blnDisable": true, "blnActive": false, "strRemarks":
wey
{ "intId": 4, "strLabel": "Year End", "blnDisable": true, "blnActive": false, "strRemarks": "" },
{ "intId": 5, "strLabel": "Finalised", "blnDisable": true, "blnActive": false, "strRemarks": "" },
{ "intId": 6, "strLabel": "Unfinalised", "blnDisable": true, "blnActive": false, "strRemarks": "" },
{ "intId": 7, "strLabel": "Archive (Hard Lock)", "blnDisable": true, "blnActive": false, "strRemarks": ""
17
#7 - 08/29/2022 10:42 AM - Aparna Mathew
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 40 to 30
- Time Taken(HH) set to 32.00
There is an error occurring at the time of saving date to the database.(error date saved)
#8 - 11/24/2022 04:08 PM - Aparna Mathew
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60
#9 - 11/28/2022 05:07 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50
- Tested By set to Amal Cyriac
ISSUE FOUND *****
1.CHECK SPELLS ON ALERTS AND MESSAGES
#10 - 11/30/2022 09:50 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#11 - 12/05/2022 10:32 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
IISSUE FOUND ****
1.SET A DURATION LIMIT/RANGE BETWEEN START AND END DATES
#12 - 12/12/2022 12:56 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#13 - 12/13/2022 05:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUND *****
1.DISPLAYING WRONG STATUS WHILE EDIT MODE
#14 - 12/20/2022 02:27 PM - Amal Cyriac
ISSUE FOUND *****
1.DISPLAYING WRONG STATUS WHILE EDIT MODE
2.USE UPPER CASE IN HEADINGS
(Fy-->FY)
#15 - 12/23/2022 04:03 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 05/25/2023 06:17 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Allow only one Current year

2.Set an alert - At least one Current Year is required
3.Use 12 hour format - Time

#17 - 05/30/2023 11:03 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 06/24/2023 06:09 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED # Error in the pop section

#19 - 06/25/2023 10:59 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#20 - 09/06/2023 03:51 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR IN STATUS OF PRINT
2.DATA IN PRINT AFFECTING THE GRID STATUS

#21 - 09/07/2023 05:27 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 11/03/2023 05:45 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR POP UP WHILE SAVING WITH CURRENT YEAR

#23 - 12/01/2023 12:18 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 12/01/2023 02:33 PM - unnikannan S
TESTING DONE

#25 - 06/06/2024 12:35 PM - Anonymous
- Status changed from Reopen Bugs Coding Done to Ready for Coding
- % Done changed from 70 to 20

#26 - 06/11/2024 04:22 PM - Anil KV
- Status changed from Ready for Coding to Coding Done
- % Done changed from 20 to 60

#27 - 06/11/2024 05:34 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.Missing Validation Block Deletion of FY In Case Any Data/Doc Saved in The Created FY

#28 - 06/14/2024 10:10 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#29 - 06/14/2024 12:16 PM - unnikannan S
TESTING DONE

#30 - 09/10/2024 06:31 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#31 - 10/02/2024 02:56 PM - Theja Ponon
- File clipboard-202410021448-qgeig.png added
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)Cant Delete The Financial Year In Non Edit Mode
STEPS

1.Add a financial year -status as normal
2.Delete in non edit mode
2% localhost:44

Imported from Goo...

Travvise Financial Year =]

TRAVEL SOLUTION PVT LTD

Organization ~ B
Set a Financial Year With Status as CURRENT YEAR
Company

Start Date™ | 01/01/2024 G 3171272024 Crested By: admin(02/10/2024 0246 PM)
Branch
Status”  Normal Modified By:
Department

A%2F%2F 10cal hostH3A443825%2F Logingbr
b 1 2C+1like+Gecko)+Chrome%2F129.0.8.8+Safarik2F
failed: WebSocket is closed before the connection is established.

» GeolocationPo onError

» ERROR TypeError: this.mdlFinancialYear.datFinancialYearStart.getFullYear is not a function
at FinancialYearComponent.fnSetFinancialYearEnd (
at FinancialYearComponent_Template_dx_date_box_onValueChanged
at executelistenerWithErrorHandling (
at
at
at e riber._next
SafeSubscriber.next (;

» ERROR Error: Uncaught (in promise): TypeError: _this2.mdlFinancialYear.datFinancialYearStart.toDateString is not a function
this2.mdlFinancialYear.datFinancialYearStart.toDateString is not a function

#32 - 10/07/2024 11:17 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#33 - 11/13/2024 09:20 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

Files

2-tsModel.ts 1.04 KB 08/23/2022 Anil KV
1-CsModel.cs 1.59 KB 08/23/2022 Anil KV
4-CsControllerFile.cs 24.5 KB 08/23/2022 Anil KV
3-CsFile.cs 13.2KB 08/23/2022 Anil KV
5-TsFile.ts 13.8 KB 08/23/2022 Anil KV
6-HtmiFile.html 1.91 KB 08/23/2022 Anil KV
sql.sql 14 KB 08/23/2022 Anil KV
clipboard-202410021448-qgeig.png 135 KB 10/02/2024 Theja Ponon
